uk.gov.hmrc.mongo

# MongoUtils

###
Related Docs: object MongoUtils | package mongo

#### trait MongoUtils extends AnyRef

Linear Supertypes
AnyRef, Any
Known Subclasses
MongoUtils
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MongoUtils
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object DuplicateKey

5. #### object IndexConflict

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensureIndexes[A](collection: MongoCollection[A], indexes: Seq[IndexModel], rebuildIndexes: Boolean)(implicit ec: ExecutionContext): Future[Seq[String]]

9. #### def ensureSchema[A](mongoComponent: MongoComponent, collection: MongoCollection[A], optSchema: Option[BsonDocument])(implicit ec: ExecutionContext): Future[Unit]

   Create the schema if defined, or remove if not defined.

   Create the schema if defined, or remove if not defined. Note, the collection will be created if it does not exist yet.

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def existsCollection[A](mongoComponent: MongoComponent, collection: MongoCollection[A])(implicit ec: ExecutionContext): Future[Boolean]

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### val logger: Logger

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped